Skip to main content
POST
Create or upsert a customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Replay-safe request key. Repeated requests with the same value within 24h return the original response unchanged.

Maximum string length: 255

Body

application/json
email
string<email>
phone
string
first_name
string
last_name
string
date_of_birth
string<date-time>
external_ref
string

Response

Existing customer returned (externalRef upsert hit)

id
string
customer_number
integer
email
string | null
phone
string | null
first_name
string | null
last_name
string | null
date_of_birth
string<date-time> | null
external_ref
string | null

Partner-supplied identifier (Shopify customer GID, Toast guest UUID, Square customer id, …). Unique per org. POST /customers upserts on this when supplied.

anonymized_at
string<date-time> | null
deleted_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>